<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/AVSCommon/Utils/Common/MimeUtils.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li><li class="navelem"><a class="el" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_834bf911d49030c30073fd5ed0d05185.html">Utils</a></li><li class="navelem"><a class="el" href="dir_717887339092f669d8b45fb8064b0fde.html">Common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MimeUtils.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mime_utils_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_COMMON_MIMEUTILS_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_COMMON_MIMEUTILS_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_attachment_manager_8h.html">AVSCommon/AVS/Attachment/AttachmentManager.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_observer_interface_8h.html">AVSCommon/SDKInterfaces/MessageObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_testable_message_observer_8h.html">TestableMessageObserver.h</a>&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">TestMimePart</a> {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">virtual</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html#a24b7348c0c4d5dd021df31201a0b7eb7">getMimeString</a>() <span class="keyword">const</span> = 0;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html#a89a1c9f06ba7d78a43abbf60b4b14f5a">validateMimeParsing</a>() = 0;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;};</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html">   60</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html">TestMimeJsonPart</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">TestMimePart</a> {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#af3a2d76f09891dfd1f4bfdce2d8b9336">TestMimeJsonPart</a>(</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keyword">const</span> std::string&amp; boundaryString,</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keywordtype">int</span> dataSize,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        std::shared_ptr&lt;TestableMessageObserver&gt; messageObserver);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#af3a2d76f09891dfd1f4bfdce2d8b9336">TestMimeJsonPart</a>(</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="keyword">const</span> std::string&amp; mimeString,</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keyword">const</span> std::string&amp; message,</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        std::shared_ptr&lt;TestableMessageObserver&gt; messageObserver);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#af486a46a5da5ff0fa1f54cebd3f2a2ea">getMimeString</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#a1e4b6ded25df518ff289cc73292ee50b">validateMimeParsing</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    std::string m_message;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    std::shared_ptr&lt;TestableMessageObserver&gt; m_messageObserver;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    std::string m_mimeString;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;};</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html">  107</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html">TestMimeAttachmentPart</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">TestMimePart</a> {</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html#a6f232f36031edc8a484eb13c35e585ed">TestMimeAttachmentPart</a>(</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <span class="keyword">const</span> std::string&amp; boundaryString,</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keyword">const</span> std::string&amp; contextId,</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        <span class="keyword">const</span> std::string contentId,</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        <span class="keywordtype">int</span> dataSize,</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentManager&gt; attachmentManager);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html#ad7e417b23ad76a34399b04d564f3aaa2">getMimeString</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html#ad2fc7a01b560c08aaab12f608484a3f0">validateMimeParsing</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    std::string m_contextId;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    std::string m_contentId;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    std::string m_attachmentData;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentManager&gt; m_attachmentManager;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    std::string m_mimeString;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;};</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a1efc5540efa8a70173f6051e4afdbec9">constructTestMimeString</a>(</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keyword">const</span> std::vector&lt;std::shared_ptr&lt;TestMimePart&gt;&gt;&amp; mimeParts,</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <span class="keyword">const</span> std::string&amp; boundaryString,</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordtype">bool</span> addPrependedNewline = <span class="keyword">true</span>);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_COMMON_MIMEUTILS_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_html_a1efc5540efa8a70173f6051e4afdbec9"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a1efc5540efa8a70173f6051e4afdbec9">alexaClientSDK::avsCommon::utils::constructTestMimeString</a></div><div class="ttdeci">std::string constructTestMimeString(const std::vector&lt; std::shared_ptr&lt; TestMimePart &gt;&gt; &amp;mimeParts, const std::string &amp;boundaryString, bool addPrependedNewline=true)</div><div class="ttdef"><b>Definition:</b> MimeUtils.cpp:113</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part_html_af3a2d76f09891dfd1f4bfdce2d8b9336"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#af3a2d76f09891dfd1f4bfdce2d8b9336">alexaClientSDK::avsCommon::utils::TestMimeJsonPart::TestMimeJsonPart</a></div><div class="ttdeci">TestMimeJsonPart(const std::string &amp;boundaryString, int dataSize, std::shared_ptr&lt; TestableMessageObserver &gt; messageObserver)</div><div class="ttdef"><b>Definition:</b> MimeUtils.cpp:44</div></div>
<div class="ttc" id="_testable_message_observer_8h_html"><div class="ttname"><a href="_testable_message_observer_8h.html">TestableMessageObserver.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part_html_af486a46a5da5ff0fa1f54cebd3f2a2ea"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#af486a46a5da5ff0fa1f54cebd3f2a2ea">alexaClientSDK::avsCommon::utils::TestMimeJsonPart::getMimeString</a></div><div class="ttdeci">std::string getMimeString() const override</div><div class="ttdef"><b>Definition:</b> MimeUtils.cpp:63</div></div>
<div class="ttc" id="_message_observer_interface_8h_html"><div class="ttname"><a href="_message_observer_interface_8h.html">MessageObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html">alexaClientSDK::avsCommon::utils::TestMimeAttachmentPart</a></div><div class="ttdef"><b>Definition:</b> MimeUtils.h:107</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part_html_ad2fc7a01b560c08aaab12f608484a3f0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html#ad2fc7a01b560c08aaab12f608484a3f0">alexaClientSDK::avsCommon::utils::TestMimeAttachmentPart::validateMimeParsing</a></div><div class="ttdeci">virtual bool validateMimeParsing() override</div><div class="ttdef"><b>Definition:</b> MimeUtils.cpp:90</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part_html_a1e4b6ded25df518ff289cc73292ee50b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html#a1e4b6ded25df518ff289cc73292ee50b">alexaClientSDK::avsCommon::utils::TestMimeJsonPart::validateMimeParsing</a></div><div class="ttdeci">virtual bool validateMimeParsing() override</div><div class="ttdef"><b>Definition:</b> MimeUtils.cpp:67</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part_html_a6f232f36031edc8a484eb13c35e585ed"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html#a6f232f36031edc8a484eb13c35e585ed">alexaClientSDK::avsCommon::utils::TestMimeAttachmentPart::TestMimeAttachmentPart</a></div><div class="ttdeci">TestMimeAttachmentPart(const std::string &amp;boundaryString, const std::string &amp;contextId, const std::string contentId, int dataSize, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentManager &gt; attachmentManager)</div><div class="ttdef"><b>Definition:</b> MimeUtils.cpp:71</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">alexaClientSDK::avsCommon::utils::TestMimePart</a></div><div class="ttdef"><b>Definition:</b> MimeUtils.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part_html_a24b7348c0c4d5dd021df31201a0b7eb7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html#a24b7348c0c4d5dd021df31201a0b7eb7">alexaClientSDK::avsCommon::utils::TestMimePart::getMimeString</a></div><div class="ttdeci">virtual std::string getMimeString() const =0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html">alexaClientSDK::avsCommon::utils::TestMimeJsonPart</a></div><div class="ttdef"><b>Definition:</b> MimeUtils.h:60</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part_html_ad7e417b23ad76a34399b04d564f3aaa2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html#ad7e417b23ad76a34399b04d564f3aaa2">alexaClientSDK::avsCommon::utils::TestMimeAttachmentPart::getMimeString</a></div><div class="ttdeci">std::string getMimeString() const override</div><div class="ttdef"><b>Definition:</b> MimeUtils.cpp:86</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part_html_a89a1c9f06ba7d78a43abbf60b4b14f5a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html#a89a1c9f06ba7d78a43abbf60b4b14f5a">alexaClientSDK::avsCommon::utils::TestMimePart::validateMimeParsing</a></div><div class="ttdeci">virtual bool validateMimeParsing()=0</div></div>
<div class="ttc" id="_attachment_manager_8h_html"><div class="ttname"><a href="_attachment_manager_8h.html">AttachmentManager.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
